All Classes Namespaces Functions Variables Pages
AmberInpcrdFile Class Reference

AmberInpcrdFile parses an AMBER inpcrd file and loads the data stored in it. More...

Inheritance diagram for AmberInpcrdFile:

## Public Member Functions

def | __init__
| Load an inpcrd file. More...
def | getPositions
| Get the atomic positions. More...
def | getVelocities
| Get the atomic velocities. More...
def | getBoxVectors
| Get the periodic box vectors. More...

## Public Attributes

| file
| boxVectors

## Detailed Description

AmberInpcrdFile parses an AMBER inpcrd file and loads the data stored in it.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | file,
|  |  | loadVelocities = `None`,
|  |  | loadBoxVectors = `None`
| ) |  |

Load an inpcrd file.

An inpcrd file contains atom positions and, optionally, velocities and periodic box dimensions.

Parameters

  file | (string) the name of the file to load
  loadVelocities | (boolean=None) deprecated. Velocities are loaded automatically if present
  loadBoxVectors | (boolean=None) deprecated. Box vectors are loaded automatically if present

## Member Function Documentation

def getBoxVectors | ( |  | self,
|  |  | asNumpy = `False`
| ) |  |

Get the periodic box vectors.

Parameters

  asNumpy | (boolean=False) if true, the values are returned as a numpy array instead of a list of Vec3s

References AmberInpcrdFile._numpyBoxVectors, AmberInpcrdFile.boxVectors, and AmberInpcrdFile.file.

def getPositions | ( |  | self,
|  |  | asNumpy = `False`
| ) |  |

Get the atomic positions.

Parameters

  asNumpy | (boolean=False) if true, the values are returned as a numpy array instead of a list of Vec3s

References AmberInpcrdFile._numpyPositions, CharmmCrdFile.positions, Modeller.positions, DesmondDMSFile.positions, CharmmRstFile.positions, PDBxFile.positions, PDBFile.positions, and GromacsGroFile.positions.

def getVelocities | ( |  | self,
|  |  | asNumpy = `False`
| ) |  |

Get the atomic velocities.

Parameters

  asNumpy | (boolean=False) if true, the vectors are returned as numpy arrays instead of Vec3s

References AmberInpcrdFile._numpyVelocities, AmberInpcrdFile.file, and CharmmRstFile.velocities.

## Member Data Documentation

boxVectors

Referenced by AmberInpcrdFile.getBoxVectors().

file

Referenced by AmberInpcrdFile.getBoxVectors(), and AmberInpcrdFile.getVelocities().

The documentation for this class was generated from the following file:

- amberinpcrdfile.py